//+------------------------------------------------------------------+
//|                                                 ExportLevels.mq4 |
//|                      Copyright  2006, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#property show_inputs
extern int MaxLimit = 5000;
extern int Srednee=60;  //    
//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
int start()
  {
   int handle,handle_Sredn, y;
   handle = FileOpen("FindLevels.txt", FILE_CSV|FILE_WRITE, '\t');
   FileWrite(handle, "Cost", "Bars Num");
   double d1 = Low[iLowest(NULL, 0, MODE_LOW, MaxLimit, 0)],Line[2],abc,bcd,Line2[2],d;
   double d2 = High[iHighest(NULL, 0, MODE_HIGH, MaxLimit, 0)];
   handle_Sredn=FileOpen("FindLevels_Sredn.txt",FILE_CSV|FILE_WRITE,'\t');
   FileWrite(handle_Sredn,"Cost_Sredn","Bars_Num_Sredn");
   y=(d2-d1)/Point;
   ArrayResize(Line,y+1) ;
   ArrayResize(Line2,y+1) ;
   for (d = d1, y=0; d <= d2; d += Point,y++)
     {
       double a = 0.0;
       for(int i = 0; i < MaxLimit; i++)
           {
            if((d > Low[i] && Close[i]>=d) || (d < High[i] && Close[i]<=d))
               a+=1; 
//       ,  -    ,    
           }  
       FileWrite(handle, d, a);
       Line[y]=a ;
//       FileWrite(handle_Sredn, d, Line[y]);
     } 
    for (d = d1, y=0; d <= d2; d += Point,y++)
      {
         ArraySetAsSeries(Line,true);
         abc=iMAOnArray(Line,0,Srednee,0,0,y);
         ArraySetAsSeries(Line,false);
         bcd=iMAOnArray(Line,0,Srednee,0,0,y); 
         Line2[y]=(abc+bcd)/2 ;  
//    .      ,   
//          .
      }
         ArraySetAsSeries(Line2,true);
      for (d = d1, y=0; d <= d2; d += Point,y++)
         {
            FileWrite(handle_Sredn, d, Line2[y]);
//         .      .
         }
    
   FileClose(handle);
   FileClose(handle_Sredn);
   return(0);
  }
//+------------------------------------------------------------------+